# Create Entity Type Actions

Creates an action on an entity type and defines, via relationKeys, how permission is granted directly or through hierarchical relationships.

Endpoint: POST /resources/entity-types/v1/{key}/actions
Version: 1.0
Security: bearer

## Security:

  - `bearer` (unknown)
    http bearer JWT

## Request fields (application/json):

  - `actions` (array, required)

  - `actions.key` (string, required)
    Example: read

  - `actions.relationKeys` (array, required)
    Array of relation keys (strings) or arrow syntax objects ({ fromRelation, toAction })
    Example: ["reader","writer",{"fromRelation":"parent","toAction":"read"}]

## Response 201 fields (application/json):

  - `vendorId` (string, required)
    Example: 123e4567-e89b-12d3-a456-426614174000

  - `entityTypeKey` (string, required)
    Example: book

  - `key` (string, required)
    Example: read

  - `relationKeys` (array, required)
    Example: ["reader","writer",{"fromRelation":"parent","toAction":"read"}]

